# Uses of Interface
org.opensaml.saml.saml2.metadata.TelephoneNumber

Packages that use TelephoneNumber
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of TelephoneNumber in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type TelephoneNumber
Modifier and Type
Method
Description
`List<TelephoneNumber>`
ContactPerson.`getTelephoneNumbers()`
Gets an immutable list of telephone numbers for this person.

## Uses of TelephoneNumber in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement TelephoneNumber
Modifier and Type
Class
Description
`class`
`TelephoneNumberImpl`
Concrete implementation of `TelephoneNumber`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type TelephoneNumber
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<TelephoneNumber>`
ContactPersonImpl.`telephoneNumbers`
Child telephone numbers.
Methods in org.opensaml.saml.saml2.metadata.impl that return TelephoneNumber
Modifier and Type
Method
Description
`TelephoneNumber`
TelephoneNumberBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`TelephoneNumber`
TelephoneNumberBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type TelephoneNumber
Modifier and Type
Method
Description
`List<TelephoneNumber>`
ContactPersonImpl.`getTelephoneNumbers()`
Gets an immutable list of telephone numbers for this person.